Grantlee 5.3.0

Namespaces | Macros | Functions
metatype.h File Reference
`#include "grantlee_templates_export.h"`
`#include "typeaccessor.h"`
`#include <QtCore/QVariant>`
Include dependency graph for metatype.h:

Go to the source code of this file.

## Namespaces
namespace | Grantlee
| The Grantlee namespace holds all public Grantlee API.

## Macros
#define | GRANTLEE_BEGIN_LOOKUP(Type)
#define | GRANTLEE_BEGIN_LOOKUP_PTR(Type)
#define | GRANTLEE_END_LOOKUP

## Functions
template<typename RealType , typename HandleAs >
int | Grantlee::registerMetaType ()
| Registers the type RealType with the metatype system. More...

## Macro Definition Documentation

## ◆ GRANTLEE_BEGIN_LOOKUP

#define GRANTLEE_BEGIN_LOOKUP | ( |  | Type | ) |

Top boundary of a lookup function for Type.

See also
  Generic type support

Definition at line 213 of file metatype.h.

## ◆ GRANTLEE_BEGIN_LOOKUP_PTR

#define GRANTLEE_BEGIN_LOOKUP_PTR | ( |  | Type | ) |

Top boundary of a lookup function for Type*.

See also
  Generic type support

Definition at line 226 of file metatype.h.

## ◆ GRANTLEE_END_LOOKUP

#define GRANTLEE_END_LOOKUP

Bottom boundary of a lookup function for Type.

See also
  Generic type support

Definition at line 239 of file metatype.h.